Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 639056

Summary: app-emulation/libvirt-3.9.0 fails tests - rpc/rpc.h: No such file or directory
Product: Gentoo Linux Reporter: eroen <gentoo>
Component: Current packagesAssignee: Matthias Maier <tamiko>
Status: RESOLVED FIXED    
Severity: normal CC: virtualization
Priority: Normal Keywords: TESTFAILURE
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=637468
https://bugs.gentoo.org/show_bug.cgi?id=637574
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 628768    
Attachments: app-emulation/libvirt-3.9.0:20171128-131339.log.bz2
reviewed ebuild for glibc-2.26

Description eroen 2017-11-28 13:34:07 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -I../gnulib/lib -I../gnulib/lib -I../include -I../include -I../src -I../src -I../src/util -I../src/conf  -DTEST_DRIVER_DIR=\"../src/.libs\"   -Dabs_builddir="\"/var/tmp/portage/app-emulation/libvirt-3.9.0/work/libvirt-3.9.0/tests\"" -Dabs_topbuilddir="\"/var/tmp/portage/app-emulation/libvirt-3.9.0/work/libvirt-3.9.0\"" -Dabs_srcdir="\"/var/tmp/portage/app-emulation/libvirt-3.9.0/work/libvirt-3.9.0/tests\"" -Dabs_topsrcdir="\"/var/tmp/portage/app-emulation/libvirt-3.9.0/work/libvirt-3.9.0\"" -I/usr/include/libxml2 -I/usr/include/libnl3 -I/usr/include/libnl3       -fno-common -W -Waddress -Waggressive-loop-optimizations -Wall -Wattributes -Wbad-function-cast -Wbool-compare -Wbool-operation -Wbuiltin-declaration-mismatch -Wbuiltin-macro-redefined -Wcast-align -Wchar-subscripts -Wchkp -Wclobbered -Wcomment -Wcomments -Wcoverage-mismatch -Wcpp -Wdangling-else -Wdate-time -Wdeprecated-declarations -Wdesignated-init -Wdiscarded-array-qualifiers -Wdiscarded-qualifiers -Wdiv-by-zero -Wdouble-promotion -Wduplicated-cond -Wduplicate-decl-specifier -Wempty-body -Wendif-labels -Wexpansion-to-defined -Wextra -Wformat-contains-nul -Wformat-extra-args -Wformat-security -Wformat-y2k -Wformat-zero-length -Wframe-address -Wfree-nonheap-object -Whsa -Wignored-attributes -Wignored-qualifiers -Wimplicit -Wimplicit-function-declaration -Wimplicit-int -Wincompatible-pointer-types -Winit-self -Winline -Wint-conversion -Wint-in-bool-context -Wint-to-pointer-cast -Winvalid-memory-model -Winvalid-pch -Wjump-misses-init -Wlogical-not-parentheses -Wlogical-op -Wmain -Wmaybe-uninitialized -Wmemset-elt-size -Wmemset-transposed-args -Wmisleading-indentation -Wmissing-braces -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-parameter-type -Wmissing-prototypes -Wmultichar -Wnarrowing -Wnested-externs -Wnonnull -Wnonnull-compare -Wnull-dereference -Wodr -Wold-style-declaration -Wold-style-definition -Wopenmp-simd -Woverflow -Woverride-init -Wpacked-bitfield-compat -Wparentheses -Wpointer-arith -Wpointer-compare -Wpointer-sign -Wpointer-to-int-cast -Wpragmas -Wpsabi -Wrestrict -Wreturn-local-addr -Wreturn-type -Wscalar-storage-order -Wsequence-point -Wshadow -Wshift-count-negative -Wshift-count-overflow -Wshift-negative-value -Wsizeof-array-argument -Wsizeof-pointer-memaccess -Wstrict-aliasing -Wstrict-prototypes -Wsuggest-attribute=const -Wsuggest-attribute=format -Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wsuggest-final-methods -Wsuggest-final-types -Wswitch -Wswitch-bool -Wswitch-unreachable -Wsync-nand -Wtautological-compare -Wtrampolines -Wtrigraphs -Wtype-limits -Wuninitialized -Wunknown-pragmas -Wunused -Wunused-but-set-parameter -Wunused-but-set-variable -Wunused-function -Wunused-label -Wunused-local-typedefs -Wunused-parameter -Wunused-result -Wunused-value -Wunused-variable -Wvarargs -Wvariadic-macros -Wvector-operation-performance -Wvolatile-register-var -Wwrite-strings -Walloc-size-larger-than=9223372036854775807 -Warray-bounds=2 -Wformat-overflow=2 -Wformat-truncation=2 -Wimplicit-fallthrough=5 -Wnormalized=nfc -Wshift-overflow=2 -Wstringop-overflow=2 -Wunused-const-variable=2 -Wvla-larger-than=4031 -Wno-sign-compare -Wjump-misses-init -Wno-format-nonliteral -Wno-format-truncation -fstack-protector-strong -fexceptions -fasynchronous-unwind-tables -fipa-pure-const -Wno-suggest-attribute=pure -Wno-suggest-attribute=const -Wframe-larger-than=25600 -march=corei7-avx -pipe -Og -g -gdwarf-4 -DLIBXL_API_VERSION=0x040400 -c -o virhostdevtest.o virhostdevtest.c
In file included from virhostdevtest.c:22:0:
../config.h:3090:48: warning: this use of "defined" may not be portable [-Wexpansion-to-defined]
             || (defined _FORTIFY_SOURCE && 0 < _FORTIFY_SOURCE \
                                                ^~~~~~~~~~~~~~~
In file included from ../src/logging/log_manager.h:29:0,
                 from ../src/qemu/qemu_domain.h:40,
                 from testutilsqemu.c:11:
../src/logging/log_protocol.h:9:10: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>
          ^~~~~~~~~~~
compilation terminated.
make[2]: *** [Makefile:5403: testutilsqemu.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory '/var/tmp/portage/app-emulation/libvirt-3.9.0/work/libvirt-3.9.0/tests'
make[1]: *** [Makefile:7094: check-am] Error 2
make[1]: Leaving directory '/var/tmp/portage/app-emulation/libvirt-3.9.0/work/libvirt-3.9.0/tests'
make: *** [Makefile:2119: check-recursive] Error 1
 * ERROR: app-emulation/libvirt-3.9.0::gentoo failed (test phase):
 *   emake failed
Comment 1 eroen 2017-11-28 13:34:58 UTC
Created attachment 506918 [details]
app-emulation/libvirt-3.9.0:20171128-131339.log.bz2
Comment 2 eroen 2017-11-28 13:42:44 UTC
occam ~ # emerge --info '=app-emulation/libvirt-3.9.0::gentoo'
Portage 2.3.16 (python 3.6.3-final-0, hardened/linux/amd64, gcc-7.2.0, glibc-2.26-r3, 4.12.12-gentoo-o0 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.12.12-gentoo-o0-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.4.1
KiB Mem:     8006612 total,   1853872 free
KiB Swap:   16777212 total,  15705016 free
Timestamp of repository gentoo: Mon, 27 Nov 2017 22:00:01 +0000
Head commit of repository gentoo: cd64115ae42efff7dfb477f7a466927247cab365
Timestamp of repository eroen: Sun, 30 Oct 2016 21:58:42 +0000
Head commit of repository sapher: 9ef31d0bf6a902342746fb03a445d4f8b7ddabef

Head commit of repository wiktorb: 722797c27affae074c3d7b0a628cad1bdff2041c

Head commit of repository stuff: 6e93649ac7a6f44a116fe12a821b0954f15ae869

sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p2) 2.29.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.4.6-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.10.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.10::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            5.3.0::gentoo, 5.4.0-r3::gentoo, 6.3.0::gentoo, 6.4.0::gentoo, 7.2.0::gentoo
sys-devel/gcc-config:     1.9.0::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: --exclude ChangeLog* --exclude /metadata/cache/ --stats --delay-updates -c

crossdev
    location: /var/lib/portage/crossdev
    masters: gentoo gamerlay eroen

eroen
    location: /usr/local/portage
    masters: gentoo
    priority: 0

sapher
    location: /var/lib/overlays/sapher
    sync-type: git
    sync-uri: https://github.com/apinsard/sapher-overlay.git
    masters: gentoo

wiktorb
    location: /var/lib/overlays/wiktorb
    sync-type: git
    sync-uri: https://github.com/wiktor-b/overlay.git
    masters: gentoo

dotnet
    location: /var/lib/layman/dotnet
    masters: gentoo
    priority: 50

enlightenment
    location: /var/lib/layman/enlightenment
    masters: gentoo
    priority: 50

flora
    location: /var/lib/layman/flora
    masters: gentoo
    priority: 50

gamerlay
    location: /var/lib/layman/gamerlay
    masters: gentoo
    priority: 50

glc
    location: /var/lib/layman/glc
    masters: gentoo
    priority: 50

hardened-development
    location: /var/lib/layman/hardened-development
    masters: gentoo
    priority: 50

haskell
    location: /var/lib/layman/haskell
    masters: gentoo
    priority: 50

hasufell
    location: /var/lib/layman/hasufell
    masters: gentoo
    priority: 50

java
    location: /var/lib/layman/java
    masters: gentoo
    priority: 50

laurentb
    location: /var/lib/layman/laurentb
    masters: gentoo
    priority: 50

roslin
    location: /var/lib/layman/roslin
    masters: gentoo
    priority: 50

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 50

stuff
    location: /var/lib/layman/stuff
    sync-type: git
    sync-uri: https://github.com/istitov/stuff.git
    masters: gentoo
    priority: 50

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 50

toolchain
    location: /var/lib/layman/toolchain
    masters: gentoo
    priority: 50

v-fox
    location: /var/lib/layman/v-fox
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7-avx -pipe -Og -g -gdwarf-4"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7-avx -pipe -Og -g -gdwarf-4"
DISTDIR="/var/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=4 --autounmask --quiet-build --nospinner --verbose-conflicts --verbose-slot-rebuilds"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs binpkg-multi-instance cgroup collision-protect compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles installsources ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms split-log splitdebug strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=""
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j4 -l10"
PKGDIR="/var/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude ChangeLog* --exclude /metadata/cache/ --stats --delay-updates -c"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl alsa amd64 apng audio audiofile avresample avx bash-completion bdf berkdb bluray bzip2 cairo caps cb cdda cdparanoia cdr cjk cli corefonts cracklib crypt cups curl cxx ddate declarative detex device-mapper dga dia djvu dri dts dvd dvi2tty dvipdfm ebook egl exif fam ffmpeg fftw fits flac fontconfig g3dvl gallium gbm gcrypt gdbm gif gimp git glamor glib glibc-omitfp gmp gnuplot gnutls gold gpm graphics graphviz gs gstreamer gtk gtk3 hardened highlight hscolour iconv icu id3tag idn imagemagick imlib inotify iproute2 ipv6 jbig jpeg jpeg2k jpg json justify kde kde4 kpathsea latex lcms libffi libssh2 libv4l luatex lvm lvm2 lzma lzo man metric mikmod mkv mms mmx mng modules mp3 mpeg mpg123 multilib multimedia musepack ncurses netlink nptl nut ocr odbc offensive ogg opengl openmp openvg optimization optimized-qmake opus pam pango pcre pdf pgf phonon pie png postscript private-headers pstricks pth publishers python3 qt3support qt4 raw readline samba sbsms scanner science sdl seccomp session smp sna sndfile speex spell sqlite sse sse2 sse3 sse4 sse41 sse4_1 sse4_2 ssh ssl ssp ssse3 svg t1lib tcpd tesseract theora threads tiff tls truetype udev unicode urandom usb v4l v4l2 vaapi video vorbis vpx webp wmf x264 xanim xattr xcb xcomposite xetex xft xinerama xkb xml xmlpatterns xorg xosd xpm xrandr xtpax xv xvid xvmc xz zlib zsh-completion" ABI_X86="32 64" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx sse sse2 avx sse3 ssse3 sse4_1 aes avx mmxext popcnt sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="mouse keyboard evdev synaptics wacom" KERNEL="linux" L10N="en en-US en-GB eng" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en gb us en_US en_GB eng jbo no nb nn no_NO nb_NO nn_NO nor" LLVM_TARGETS="AArch64 ARM BPF X86" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" POSTGRES_TARGETS="postgres10" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5 python3_6" QEMU_SOFTMMU_TARGETS="x86_64 i386" RUBY_TARGETS="ruby22" SANE_BACKENDS="plustek" USERLAND="GNU" VIDEO_CARDS="intel i965 ilo" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND

occam ~ # emerge -pqv '=app-emulation/libvirt-3.9.0::gentoo'
[ebuild     U ] app-emulation/libvirt-3.9.0 [2.4.0-r1] USE="caps libvirtd lvm lxc macvtap nfs parted pcap qemu udev uml vepa virt-network -apparmor -audit -dbus% -firewalld -fuse -glusterfs -iscsi -libssh% -nls -numa (-openvz) -phyp -policykit -rbd -sasl (-selinux) -virtualbox -wireshark-plugins -xen -zeroconf -zfs" 

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

app-emulation/libvirt:0

  (app-emulation/libvirt-3.9.0:0/3.9.0::gentoo, ebuild scheduled for merge) pulled in by
    =app-emulation/libvirt-3.9.0::gentoo (Argument)

  (app-emulation/libvirt-2.4.0-r1:0/2.4.0::gentoo, installed) pulled in by
    app-emulation/libvirt:0/2.4.0 required by (dev-python/libvirt-python-2.4.0:0/0::gentoo, installed)
                         ^^^^^^^^                                                                                                         
    >=app-emulation/libvirt-1.2.6:0/2.4.0= required by (app-emulation/libvirt-glib-1.0.0:0/0::gentoo, installed)
                                 ^^^^^^^^^
Comment 3 Cameron Palmer 2017-11-29 22:14:44 UTC
Confirmed on amd64. Occurs due to glibc-2.26 ~amd64 installation. Per glibc changelog (2.25->2.26):

"Sun RPC is deprecated.  The rpcgen program, librpcsvc, and Sun RPC headers
  will only be built and installed when the GNU C Library is configured with
  --enable-obsolete-rpc.  This allows alternative RPC implementations, such
  as TIRPC or rpcsvc-proto, to be used."

Suggested change: patch libvirt to include rpc.h from existing dependency libtirpc, when glibc>2.25: /usr/include/tirpc/rpc/rpc.h as opposed to glibc /usr/include/rpc/rpc.h
Comment 4 Samuel Bernardo 2017-12-10 21:24:22 UTC
For libvirt 3.10 I already find the following:

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking where to find <rpc/rpc.h>" >&5
$as_echo_n "checking where to find <rpc/rpc.h>... " >&6; }
if ${lv_cv_xdr_cflags+:} false; then :
  $as_echo_n "(cached) " >&6
else

      for add_CFLAGS in '' '-I/usr/include/tirpc' 'missing'; do
        if test x"$add_CFLAGS" = xmissing; then
          lv_cv_xdr_cflags=missing; break
        fi
        CFLAGS="$old_CFLAGS $add_CFLAGS"
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <rpc/rpc.h>

So what is missing for libvirt continue to require glibc-2.25, since configure already search for /usr/include/tirpc?

I'm trying to emerge libvirt-3.10 with glibc-2.26, and the following happens:

[ebuild     U ] app-emulation/libvirt-3.10.0 [3.9.0] USE="caps dbus fuse libvirtd lvm lxc macvtap nfs nls parted policykit qemu sasl udev vepa virt-network -apparmor -audit -firewalld -glusterfs -iscsi -libssh 
-numa (-openvz) -pcap -phyp -rbd (-selinux) -uml -virtualbox -wireshark-plugins -xen -zeroconf -zfs" 
[blocks B     ] <sys-libs/glibc-2.26 ("<sys-libs/glibc-2.26" is blocking net-libs/libnsl-1.2.0, net-libs/rpcsvc-proto-1.2-r1)
Comment 5 Samuel Bernardo 2017-12-10 22:08:02 UTC
(In reply to Samuel Bernardo from comment #4)
> For libvirt 3.10 I already find the following:
> 
>     { $as_echo "$as_me:${as_lineno-$LINENO}: checking where to find
> <rpc/rpc.h>" >&5
> $as_echo_n "checking where to find <rpc/rpc.h>... " >&6; }
> if ${lv_cv_xdr_cflags+:} false; then :
>   $as_echo_n "(cached) " >&6
> else
> 
>       for add_CFLAGS in '' '-I/usr/include/tirpc' 'missing'; do
>         if test x"$add_CFLAGS" = xmissing; then
>           lv_cv_xdr_cflags=missing; break
>         fi
>         CFLAGS="$old_CFLAGS $add_CFLAGS"
>         cat confdefs.h - <<_ACEOF >conftest.$ac_ext
> /* end confdefs.h.  */
> #include <rpc/rpc.h>
> 
> So what is missing for libvirt continue to require glibc-2.25, since
> configure already search for /usr/include/tirpc?
> 
> I'm trying to emerge libvirt-3.10 with glibc-2.26, and the following happens:
> 
> [ebuild     U ] app-emulation/libvirt-3.10.0 [3.9.0] USE="caps dbus fuse
> libvirtd lvm lxc macvtap nfs nls parted policykit qemu sasl udev vepa
> virt-network -apparmor -audit -firewalld -glusterfs -iscsi -libssh 
> -numa (-openvz) -pcap -phyp -rbd (-selinux) -uml -virtualbox
> -wireshark-plugins -xen -zeroconf -zfs" 
> [blocks B     ] <sys-libs/glibc-2.26 ("<sys-libs/glibc-2.26" is blocking
> net-libs/libnsl-1.2.0, net-libs/rpcsvc-proto-1.2-r1)

I corrected the ebuild libvirt-3.10 removing dependency glibc[rpc-]. I add the revised version to my overlay and it compiled and work as expected with glibc-2.26.
I'll submit it as attachment for your review.
Comment 6 Samuel Bernardo 2017-12-10 22:10:28 UTC
Created attachment 509308 [details]
reviewed ebuild for glibc-2.26

This ebuild was tested only for glibc-2.26.
Comment 7 Larry the Git Cow gentoo-dev 2017-12-11 04:15:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=109c2435a243dc730afd73e79b1d5cedea76e6a9

commit 109c2435a243dc730afd73e79b1d5cedea76e6a9
Author:     Matthias Maier <tamiko@gentoo.org>
AuthorDate: 2017-12-11 04:07:50 +0000
Commit:     Matthias Maier <tamiko@gentoo.org>
CommitDate: 2017-12-11 04:13:57 +0000

    app-emulation/libvirt: Simplify dep to avoid accidental downgrade
    
    With d2e149ea99196e3422f71c25ddaf0b6913af80c0 we now have a fake stable
    version of rpcsvc-proto. Thus, avoid the || ( ) logic altogether.
    
    According to #639056, the new version (3.10.0) also fixes rpc related
    test failures. Thanks for testing.
    
    Closes: https://bugs.gentoo.org/640250
    Closes: https://bugs.gentoo.org/639056
    Reference: https://bugs.gentoo.org/637574
    Package-Manager: Portage-2.3.17, Repoman-2.3.6

 .../libvirt/{libvirt-3.10.0.ebuild => libvirt-3.10.0-r1.ebuild}         | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)